1. Oxide for Rust Legacy has been discontinued and is no longer supported. No updates or additions will be made, and Rust Legacy-specific plugin submissions will no longer be accepted. We recommend upgrading to the latest version of Rust as able.
    Dismiss Notice
  1. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    i download the lastest oxide 2.0...but i dont know how to config it...
    --- Double Post Merged, Apr 11, 2017 ---
    for legacy
     
  2. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    There isn't anything to config with Oxide itself. To install it, just download it and extract it over your server. Any configuration is done via plugins and generally documented on each plugin's Overview/download page.
     
  3. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    i do it.. but the plugins didnt work...
     
  4. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    Check that Oxide is installed with the oxide.version command, and check your oxide/logs for errors.
     
  5. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    where is the log file?
     
  6. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    can you config the oxide 2.0 lastet ver for me? with all files of the rust?...
     
  7. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    There isn't anything for us to configure, the only configuration is done by you with plugins if there is something you want to change from default.

    serverdata/oxide/logs are where the Oxide logs are, and rust_server_Data/output_log.txt is the Unity/game log.
     
  8. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    this is my log file....

    some plugins didnt work....
     
    Last edited by a moderator: Apr 13, 2017
  9. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    Your server appears to have multiple issues:
    • You're trying to run various Rust plugins; these are for Rust, not Rust Legacy
    • Some plugins appear to be outdated and may need to be updated to avoid warnings
    • Your server has outdated versions of the Oxide.Core.JavaScript and Oxide.Core.Python extensions, which you can either update manually or remove
     
  10. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    give me the Oxide.Core.JavaScript and Oxide.Core.Python extensions..with there help
     
  11. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    They aren't bundled anymore, but you an see how to install/update those here if you actually need them: Guides and Tips | Oxide
     
  12. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    whats this error?


    There should be 'rust_server_Data'
    folder next to the executable
     
  13. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    Sounds like you're missing files in that case.
     
  14. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    how i can fix this error?
     
  15. Wulf

    Wulf Community Admin Community Admin Oxide Developer

    You'd need to make sure the server is fully installed.
     
  16. mohammadreza.h1381

    mohammadreza.h1381 Naked Wanderer

    aaaaah...whats the problem i dont know.....who can help me